## gov.usgs.earthquake.event
Enum AlertLevel

    java.lang.Object
      java.lang.Enum<AlertLevel>
          gov.usgs.earthquake.event.AlertLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AlertLevel>

    public enum AlertLevel

extends java.lang.Enum<AlertLevel>

Enum Constant Summary
`ALL`
`GREEN`
`ORANGE`
`RED`
`YELLOW`

Method Summary
`java.lang.String` `toString()`
`static AlertLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlertLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final AlertLevel ALL

### GREEN

    public static final AlertLevel GREEN

### YELLOW

    public static final AlertLevel YELLOW

### ORANGE

    public static final AlertLevel ORANGE

### RED

    public static final AlertLevel RED

Method Detail

### values

    public static AlertLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AlertLevel c : AlertLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AlertLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AlertLevel>`